Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 473436 - dev-perl/OOTools-2.300.0 - fails t/test_pod.t
Summary: dev-perl/OOTools-2.300.0 - fails t/test_pod.t
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL: https://rt.cpan.org/Ticket/Display.ht...
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: perl-testfailure
  Show dependency tree
 
Reported: 2013-06-16 00:08 UTC by Kent Fredric (IRC: kent\n)
Modified: 2014-11-01 22:40 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
OOTools-2.300.0-r1.ebuild (OOTools-2.300.0-r2.ebuild,886 bytes, text/plain)
2014-10-14 23:21 UTC, Kent Fredric (IRC: kent\n)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2013-06-16 00:08:29 UTC
POD Tests failing is usually a case for just deleting the failing test.

Can't stat ../lib: No such file or directory                                                                                                                                           [77/31402]
 at /usr/lib64/perl5/vendor_perl/5.16.3/Test/Pod.pm line 220.                                                                                                                          [76/31402]
t/test_pod.t .............. 1/9                                                                                                                                                        [75/31402]
#   Failed test 'POD test for blib/lib/Class/groups.pm'                                                                                                                                [74/31402]
#   at /usr/lib64/perl5/vendor_perl/5.16.3/Test/Pod.pm line 186.                                                                                                                       [73/31402]
# blib/lib/Class/groups.pm (160): Expected text after =item, not a bullet                                                                                                              [72/31402]
# blib/lib/Class/groups.pm (164): Expected text after =item, not a bullet                                                                                                              [71/31402]
# blib/lib/Class/groups.pm (168): Expected text after =item, not a bullet                                                                                                              [70/31402]
# blib/lib/Class/groups.pm (172): Expected text after =item, not a bullet                                                                                                              [69/31402]
# blib/lib/Class/groups.pm (176): Expected text after =item, not a bullet                                                                                                              [68/31402]
# blib/lib/Class/groups.pm (180): Expected text after =item, not a bullet                                                                                                              [67/31402]
# blib/lib/Class/groups.pm (184): Expected text after =item, not a bullet                                                                                                              [66/31402]
# blib/lib/Class/groups.pm (188): Expected text after =item, not a bullet                                                                                                              [65/31402]
                                                                                                                                                                                       [64/31402]
#   Failed test 'POD test for blib/lib/Class/props.pm'                                                                                                                                 [63/31402]
#   at /usr/lib64/perl5/vendor_perl/5.16.3/Test/Pod.pm line 186.                                                                                                                       [62/31402]
# blib/lib/Class/props.pm (175): Expected text after =item, not a bullet                                                                                                               [61/31402]
# blib/lib/Class/props.pm (179): Expected text after =item, not a bullet                                                                                                               [60/31402]
# blib/lib/Class/props.pm (183): Expected text after =item, not a bullet                                                                                                               [59/31402]
# blib/lib/Class/props.pm (187): Expected text after =item, not a bullet                                                                                                               [58/31402]
# blib/lib/Class/props.pm (191): Expected text after =item, not a bullet                                                                                                               [57/31402]
# blib/lib/Class/props.pm (195): Expected text after =item, not a bullet                                                                                                               [56/31402]
# blib/lib/Class/props.pm (199): Expected text after =item, not a bullet                                                                     
                                          [55/31402]
# blib/lib/Class/props.pm (203): Expected text after =item, not a bullet 


No `emerge --info` provided as that information is usually of little use in diagnosing Perl bugs, especially documentation bugs.
Comment 1 Alexander Vershilov (RETIRED) gentoo-dev 2013-06-20 06:44:12 UTC
confirmed, fails for me.

Can't stat can be fixed by setting:

index a10ce99..0217b57 100644
--- a/t/test_pod.t
+++ b/t/test_pod.t
@@ -5,7 +5,7 @@ use Test::More;
 
 eval "use Test::Pod 1.00";
 plan skip_all => "Test::Pod 1.00 required for testing POD" if $@;
-my @poddirs = qw( blib ../lib);
+my @poddirs = qw( blib lib);
 all_pod_files_ok( all_pod_files( @poddirs ) );

however it will not fix main problem:

# blib/lib/Class/groups.pm (160): Expected text after =item, not a bullet
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2014-10-14 23:21:37 UTC
Created attachment 386696 [details]
OOTools-2.300.0-r1.ebuild

This ebuild nukes the author tests, and subsequently nukes the need for dependencies author tests requires.

One of the changes is it adds this blob of code in src_test

+src_prepare() {
+	einfo "Removing unwanted author tests"
+	rm -f "${S}/t/test_pod.t"
+	rm -f "${S}/t/test_pod_coverage.t"
+	# This silences warnings by EUMM about missing files.
+	grep -v '^t/test_pod' "${S}/MANIFEST" > "${S}/MANIFEST.tmp"
+	mv -f -- "${S}/MANIFEST.tmp" "${S}/MANIFEST"
+}

Which is a hand simplified version of the logic I suggest in bug 520756 , which I've been relatively happy with now on the overlay.

Complete diff for review purposes: https://gist.github.com/kentfredric/4615d201de9b0421aae6
Comment 3 Patrice Clement gentoo-dev 2014-11-01 22:40:46 UTC
Kent's patch applied.

--- ./ChangeLog
+++ ./ChangeLog
@@ -4,0 +5,3 @@
+  01 Nov 2014; Patrice Clement <monsieurp@gentoo.org> OOTools-2.300.0-r1.ebuild:
+  Removing unwanted tests. See #473436.
+